import os
import sys
import bigpanda

VERSION = _version = '1.6.3'

DEFAULT_USER = 'bigpanda'
DEFAULT_GROUP = 'bigpanda'
DEFAULT_LOG_FILE = '/var/log/bigpanda/agent.log'
DEFAULT_LOG_SIZE = 1024*1024*10
DEFAULT_PID_FILE = '/var/run/bigpanda/agent.pid'
DEFAULT_CONFIG_TEMPLATE = '/usr/share/bigpanda-agent/bigpanda.conf'
DEFAULT_CONFIG_FILE = '/etc/bigpanda/bigpanda.conf'

def get_config_filpath(env):
    if env == 'prod':
        root_dir = "/etc/bigpanda"
        config_file_name = "bigpanda.conf"
    else:
        root_dir = os.path.abspath(os.path.join(os.path.realpath(bigpanda.__file__), os.path.pardir, os.path.pardir, "conf"))
        config_file_name = "bigpanda.conf.%s" % env

    config_file_path = os.path.join(root_dir, config_file_name)
    config_backup_path = config_file_path + ".backup"
    return config_file_path, config_backup_path


def get_env():
    return os.environ.get('BIGPANDA_ENV', 'prod')
