from bigpanda.agent.core.spi.plugins import Plugin
import bigpanda.agent.utils.sys_utils as sysutils
import logging
import time

log = logging.getLogger('agent.plugins.agent.heartbeat')


class AgentHeartbeat(Plugin):

    def _execute(self, config, state):
        now = time.time()
        interval = config["interval"]

        if state:
            last_heartbeat_timestamp = state["last_heartbeat_timestamp"]
        else:
            last_heartbeat_timestamp = now - (interval + 1)

        result = None

        seconds_since_last_heartbeat = now - last_heartbeat_timestamp
        if seconds_since_last_heartbeat > interval:
            result = dict(ip=sysutils.get_ip(), uptimeSecs=sysutils.get_process_uptime())
            state["last_heartbeat_timestamp"] = now

        return result, state, True



